# 联系方式

- 姓名：刘爽/男/1997
- 电话：17730014137
- 邮箱：jkwlstv@outlook.com

# 工作经历

| 公司名称 | 入职日期 | 离职日期 | 所在地 |
|:-----|:-----|:-----|:-----|
| 合肥统旭智慧科技有限公司 | 2025/04 | 2025/06 | 合肥 |
| 极氪智能科技 | 2023/07 | 2025/03 | 杭州 |
| 江苏普飞科特信息科技有限公司 | 2019/07 | 2023/05 | 成都 |
| 上海柏维信息技术有限公司 | 2017/05 | 2019/06 | 上海 |

# 技能清单

| 技能点 | 掌握程度 | 补充 |
|:-----|:-----|:-----|
| Spring AI | 熟练 | 能快速搭建一个AI大模型知识库、AI Agent 应用开发 |
| MySQL | 熟练 | B+Tree、MVCC |
| ShardingJDBC | 熟练 | 分库分表、动态数据源、多租户数据源 |
| Redis | 熟练 | 分布式缓存、分布式锁（Redisson）|
| RocketMQ | 熟练 | 普通消息、定时消息、顺序消息、事务消息 |
| Spring Boot | 熟练 | 能手写starter集成中间件或封装二方库 |
| 多线程 | 熟练 | Java8用平台线程，Java21用虚拟线程和结构化并发 | 
| Linux | 熟练 | 熟练编写Shell脚本发布应用或追踪问题，例如在服务器上安装1Panel，通过可视化WebUI创建计划任务，定时采集某些数据 | 
| Docker | 熟练 | 熟练编写 Dockerfile 适配容器化部署 |
| Nginx | 熟练 | 反向代理、静态资源托管、负载均衡 |
| 服务监控 | 熟练 | Spring Boot Actuator、Prometheus、Grafana |
| 线上问题排查 | 熟练 | 服务日志、Arthas、JFR |

# 项目经验

### AI 数字人

该项目是一个基于语音交互的数字人应用，私有化部署AI大模型，结合本地私域知识库，实现私域知识问答、导览服务。

- 职位：Java开发、项目经理
- 技术栈：Spring AI、ES（向量数据库）、JAVA 21、阿里百炼大模型平台
- 工作内容：
  - 购买合适的硬件（主要是显卡）组装主机、安装操作系统（Ubuntu 22.04 LTS）
  - 安装驱动包，Nvdia 显卡驱动、Docker、Nvdia Container Toolkit，为 Docker 配置 Nvdia 运行环境
  - 安装 AI 大模型运行环境，GPUStack、Xinference、Ollama
  - 安装 AI 大模型，deepseek-r1:7B、14B、32B，qwen2.5:14B，Qwen3:8B
  - 使用 Spring AI 整合本地部署的模型API、阿里百炼大模型API、本地的嵌入模型、本地的向量数据库、本地的重排序模型，搭建一套知识库应用与 AI Agent 开发

### VIDP（整车集成开发平台）

该项目服务于极氪汽车杭州湾工厂某工程师团队，便于管理整车开发中的部分零部件、造型色彩、设计方案，以及问题跟进、流程审批等功能。

- 职位：Java开发
- 技术栈：MySQL、Redis、Kafka、Spring Boot
- 工作内容：
  - 需求评审、文档和代码编写
  - 编写单元测试、问题排查及修复
  - 引入消息中间件处理异步任务，解决采用线程池但是没有持久化队列中的任务，在产生堆积的情况下，应用重启任务丢失的问题

### PinCode（密钥管理系统）

该项目用于管理极氪汽车与谷歌waymo无人驾驶汽车合作研发的车型使用到的密钥，比如车门的门锁密钥，以及车辆中的每个ECU密钥。

- 职位：Java开发
- 技术栈：MySQL、Redis、ES、Spring Boot、ShardingJDBC
- 工作内容：
  - 需求评审、文档和代码编写
  - 编写单元测试、问题排查及修复
  - 引入 ShardingJDBC 使用自定义分表键，分表存储车辆ECU的密钥
  - 利用 ShardingJDBC 自定义分库键实现多租户数据源改造以及动态切换


### 蜂羽（网络货运平台）

蜂羽是一个类似于长途运输版的货拉拉，为货主提供综合解决方案，为司机和物流公司提供诸如电子油卡、货物保险、金融等增值服务，撮合货主与运输方在平台中完成交易、履约的网络货运平台。

- 职位：开发组长（5人）
- 技术栈：MySQL、Redis、Rocket MQ、Seata、Spring Boot、Spring Cloud
- 工作内容：
  - 技术选型、编写技术文档、单元测试
  - 服务巡检、跟踪修复生产环境中的问题
  - 集成分布式事务中间件 Seata，解决微服务中跨服务、跨库事务一致性问题
  - 搭建ETL工具，通过 Canal 伪装成 MySQL 的从节点订阅 Binlog，再结合 Rocket MQ 的顺序消息推送给需要订阅数据变更的消费者
  - 基于JVM内存的分布式缓存，在项目中有大量读多写少的热点数据，数据量总体规模约300MB，应用实例的节点足以应付内存开销，应用实例启动后全部加载到内存中，运行中发生数据变更，创建一条变更日志，通过 Rocket MQ 的广播消费特性，让应用集群中的每一个实例消费到变更日志
  - 消息中心，对接第三方发短信、外呼电话、隐私号、发邮件、发APP通知等外部服务，收敛一套标准API并沉淀为starter，方便公司内部应用集成
  - 支付中心，对接第三方聚合支付平台，使用 Rocket MQ 事务消息特性，异步化处理支付相关功能，提高应用吞吐量的同时，保证支付中心交易数据的可靠性
  - 对账系统，订阅第三方支付平台的对账日志，核对平台的交易数据
  - 监控系统，接入 Spring Boot Actuator、Prometheus、Grafana 监测服务运行时状态

### SmartCC外呼中心

SmartCC云呼叫中心是一个集成在线客服、BPM工单、IP电话呼入/呼出的呼叫中心平台。

- 职位：Java开发
- 技术栈：Activity、Oracle、Redis、Spring MVC、Rabbit MQ、WebSocket
- 工作内容：
  - 编写技术文档、单元测试
  - 在线客服，基于 Redis、Rabbit MQ、WebSocket 设计 WebIM 系统
  - 工单系统，集成 Activity 设计工作流
  - 对接 CTI 网络 IP 电话，实现 Web 端拨打电话
  - 质检系统，针对客服与访客的聊天记录和电话录音，进行打分和评论

# 教育经历

合肥经济技术职业学院（2014~2017）